Other people's conversations that name a person, newest first
curl --request GET \
--url https://api.poddata.ai/v1/people/{id}/named \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/people/{id}/named"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/people/{id}/named', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/people/{id}/named",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/people/{id}/named"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/people/{id}/named")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/people/{id}/named")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"person": "<string>",
"data": [
{
"episode": {
"id": "<string>",
"title": "<string>",
"show": {
"id": "<string>",
"name": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"duration_s": 123,
"kind": "podcast"
},
"count": 123,
"first_at": 123,
"clock": "video",
"source_url": "<string>",
"by": [
{
"id": "<string>",
"name": "<string>",
"count": 123
}
],
"quotes": [
{
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
}
]
}
],
"next": "<string>",
"totals": {
"conversations": 123,
"quoted": 123
},
"counted": {
"episodes": 123,
"first": "2023-12-25",
"last": "2023-12-25"
}
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}People
Other people's conversations that name a person, newest first
GET
/
people
/
{id}
/
named
Other people's conversations that name a person, newest first
curl --request GET \
--url https://api.poddata.ai/v1/people/{id}/named \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/people/{id}/named"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/people/{id}/named', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/people/{id}/named",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/people/{id}/named"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/people/{id}/named")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/people/{id}/named")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"person": "<string>",
"data": [
{
"episode": {
"id": "<string>",
"title": "<string>",
"show": {
"id": "<string>",
"name": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"duration_s": 123,
"kind": "podcast"
},
"count": 123,
"first_at": 123,
"clock": "video",
"source_url": "<string>",
"by": [
{
"id": "<string>",
"name": "<string>",
"count": 123
}
],
"quotes": [
{
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
}
]
}
],
"next": "<string>",
"totals": {
"conversations": 123,
"quoted": 123
},
"counted": {
"episodes": 123,
"first": "2023-12-25",
"last": "2023-12-25"
}
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}